Bug 108083 - RFE: repackage documentation needed
RFE: repackage documentation needed
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
: FutureFeature
: 174630 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-27 10:05 EST by Gene Czarcinski
Modified: 2008-04-01 06:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 06:46:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2003-10-27 10:05:10 EST
Description of problem:

OK, so rpm has the --repackage option for erase or install.  However, there is
documentation lacking concerning (re) installation of repackaged packages.

Case in point:  today's up2date (4.1.11-3) is "bad" (hangs running).  Since I
had another box which I had not updated yet, I turned repackage on and then ran
up2date for up2date only.  I got the repackaged up2date and up2date-gnome
(4.1.10-1) in /var/spool/rollbacks as expected but when I copied them to the
other system and attempted to install them they would not.

The only "documentation" I could find was in a "limited visibility" bugzilla
report:https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=86115

While I admit that there should be extra protections on using these rollbacks,
documentation on re-installing them is needed or why bother having the option at
all.
Comment 1 Paul Nasrat 2005-12-01 14:55:19 EST
*** Bug 174630 has been marked as a duplicate of this bug. ***
Comment 2 John Thacker 2006-10-30 09:43:57 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 3 Gene Czarcinski 2006-10-30 10:12:07 EST
The situation has not changed.  Either correct documentation should be provided
or delete this capability.
Comment 4 Red Hat Bugzilla 2007-08-21 01:17:43 EDT
User pnasrat@redhat.com's account has been closed
Comment 5 Panu Matilainen 2007-08-22 02:32:08 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 6 petrosyan 2008-02-14 20:58:14 EST
Both the install section and the erase section in rpm's man page describe the
--repackage option as:

--repackage
Re-package  the  files before erasing. The previously installed package will be
named according to the macro %_repackage_name_fmt and will be created in the
directory named by the  macro  %_repack-age_dir (default value is
/var/spool/repackage).

Does this resolve this bug?
this is on Fedora 8. rpm-4.4.2.2-7.fc8
Comment 7 Panu Matilainen 2008-04-01 06:46:25 EDT
The repackage + rollback feature has been removed from next upstream version, so
you can consider the feature "fixed" ;)

Note You need to log in before you can comment on or make changes to this bug.